### Method

# GLib MatchInfo get_match_count

since: 2.14

#### Declaration

    gint
    g_match_info_get_match_count (
      const GMatchInfo* match_info
    )

#### Description

Retrieves the number of matched substrings (including substring 0, that is the whole matched text), so 1 is returned if the pattern has no substrings in it and 0 is returned if the match failed.

If the last match was obtained using the DFA algorithm, that is using `g_regex_match_all()` or g_regex_match_all_full(), the retrieved count is not that of the number of capturing parentheses but that of the number of matched substrings.

Available since: 2.14

#### Return value

Type: `gint`

Number of matched substrings, or -1 if an error occurred.